# compare.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`

## Defines

#define | DestroyCompare()
#define | ThrowCompareException(asperity, tag, option)
#define | ThrowCompareInvalidArgumentException(option, argument)

## Functions

static void | CompareUsage (void)
WandExport MagickBooleanType | CompareImageCommand (ImageInfo *image_info, int argc, char **argv, char **metadata, ExceptionInfo *exception)

## Define Documentation

#define DestroyCompare | ( |  | ) |

Value:

    { \
      for ( ; k >= 0; k--) \
        image_stack[k]=DestroyImageList(image_stack[k]); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define ThrowCompareException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      if (exception->severity < (asperity)) \
        (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag, \
          "`%s'",option); \
      DestroyCompare(); \
      return(MagickFalse); \
    }

#define ThrowCompareInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyCompare(); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType CompareImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | metadata,
|  | ExceptionInfo * | exception |
| ) |  |  |

static void CompareUsage | ( | void |  | ) | `[static]`